Loading...
Searching...
No Matches
Lambda.h File Reference

Convenience functions for creating small anonymous Halide functions. More...

`#include "Func.h"`
`#include "Var.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Functions

Func | Halide::lambda (const Expr &e)
| Create a zero-dimensional halide function that returns the given expression.
Func | Halide::lambda (const Var &x, const Expr &e)
| Create a 1-D halide function in the first argument that returns the second argument.
Func | Halide::lambda (const Var &x, const Var &y, const Expr &e)
| Create a 2-D halide function in the first two arguments that returns the last argument.
Func | Halide::lambda (const Var &x, const Var &y, const Var &z, const Expr &e)
| Create a 3-D halide function in the first three arguments that returns the last argument.
Func | Halide::lambda (const Var &x, const Var &y, const Var &z, const Var &w, const Expr &e)
| Create a 4-D halide function in the first four arguments that returns the last argument.
Func | Halide::lambda (const Var &x, const Var &y, const Var &z, const Var &w, const Var &v, const Expr &e)
| Create a 5-D halide function in the first five arguments that returns the last argument.

## Detailed Description

Convenience functions for creating small anonymous Halide functions.

See test/lambda.cpp for example usage.

Definition in file Lambda.h.